Class | ActiveMerchant::Billing::SecurePayAuGateway
In: | lib/active_merchant/billing/gateways/secure_pay_au.rb
Parent: | Gateway

### Methods

new purchase test?

### Constants

API_VERSION | = | 'xml-4.2'
TEST_URL | = | 'https://www.securepay.com.au/test/payment'
LIVE_URL | = | 'https://www.securepay.com.au/xmlapi/payment'
TRANSACTIONS | = | { :purchase => 0, :authorization => 10, :capture => 11, :void => 6, :credit => 4 |  | 0 Standard Payment 4 Refund 6 Client Reversal (Void) 10 Preauthorise 11 Preauth Complete (Advice)
SUCCESS_CODES | = | [ '00', '08', '11', '16', '77' ]

### Public Class methods

new(options = {})

### Public Instance methods

purchase(money, credit_card, options = {})
test?()

[Validate]